Skip to main content
POST
Error

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

alias
string<string>
required

The app's namespace or its UUID

Body

application/json

Agent creation request

Body for POST /v1/apps/{alias}/agents.

agent
object
required

Discriminator wrapper. Exactly one subtype field must be populated.

tools
object[]

Optional tools to attach to the new agent

a2aSkills
object[]

Optional A2A skills to attach to the new agent

Response

Created

Free-form JSON object forwarded to/from the downstream service.